#!/bin/bash

# install-graphical-pkg.sh
# This program installs Fedora graphical packages
# Simply comment out the packages that you don't want to install
# Copyright (C) 2024  Scott C. MacCallum
# scott@scm-guru.live
# S C M Guru LLC
# If you find this program useful, please become a patron

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

echo
echo "Installing Fedora graphical packages."
echo "If you find this program useful, please become a patron"
echo
echo "Installing the Arduino IDE2 package"
flatpak -y install cc.arduino.IDE2
echo
echo "Installing the Audacity package."
dnf -y install audacity
echo
echo "Installing the Blender package."
dnf -y install blender
echo
echo "Installing the Chromium package."
dnf -y install chromium
echo
echo "Installing the DosBox package."
dnf -y install dosbox
echo
echo "Installing the FileZilla package."
dnf -y install filezilla
echo
echo "Installing the Gimp package."
dnf -y install gimp
echo
echo "Installing the Mixxx package."
dnf -y install https://mirrors.rpmfusion.org/free/fedora/rpmfusion-free-release-$(rpm -E %fedora).noarch.rpm
dnf -y install mixxx
echo
echo "Installing the OBS package."
dnf -y install obs-studio
echo
echo "Installing the RSS Guard package."
dnf -y install rssguard
echo
echo "Installing the CubicSDR package."
dnf -y install CubicSDR
echo
echo "Installing the Thunderbird package."
dnf -y install thunderbird
echo
echo "Installing the Virt Manager package."
dnf -y install virt-manager
echo
echo "Installing the VLC package."
dnf -y install vlc
echo
echo "Installng the Wireshark package."
dnf -y install wireshark
echo
echo "Installng the KiCad package."
dnf -y install kicad
echo
echo "Installng the KStars package."
dnf -y install kstars
echo
echo "Installing the RealVNC package."
wget https://downloads.realvnc.com/download/file/viewer.files/VNC-Viewer-7.9.0-Linux-x64.rpm
dnf -y install VNC-Viewer-7.9.0-Linux-x64.rpm
echo
echo "Install the NoMachine package."
wget https://download.nomachine.com/download/8.11/Linux/nomachine_8.11.3_4_x86_64.rpm
dnf -y install nomachine_8.11.3_4_x86_64.rpm

exit 0
